> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmembrane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search records in a data collection



## OpenAPI

````yaml /api-reference/membrane-api.json post /connections/{id}/data/{dataCollectionKey}/search
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /connections/{id}/data/{dataCollectionKey}/search:
    post:
      tags:
        - DataCollections
      summary: Search records in a data collection
      operationId: searchDataCollectionRecords
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: dataCollectionKey
          required: true
          in: path
          schema:
            type: string
        - name: collectionParams
          required: false
          in: query
          description: Data Collection parameters
          style: form
          explode: true
          schema:
            type: object
            additionalProperties:
              type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DataCollectionSearchRequestDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataCollectionSearchResponseDto'
components:
  schemas:
    DataCollectionSearchRequestDto:
      type: object
      properties:
        parameters:
          type: object
          additionalProperties:
            type: object
        query:
          type: string
        cursor:
          type: string
      required:
        - query
    DataCollectionSearchResponseDto:
      type: object
      properties:
        records:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              uri:
                type: string
              iconUri:
                type: string
              fields:
                type: object
                additionalProperties:
                  type: object
              udm:
                type: string
              unifiedFields:
                type: object
                additionalProperties:
                  type: object
              rawFields:
                type: object
                additionalProperties:
                  type: object
              createdTime:
                type: string
              updatedTime:
                type: string
              deletedTime:
                type: string
              createdById:
                type: string
              updatedById:
                type: string
            required:
              - id
        cursor:
          type: string
      required:
        - records
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````